
public class Methods {

    
    
    private static boolean validateIndeces(int[] arr, int firstIndex, int lastIndex) {
        boolean valid = true;

        if (!(firstIndex >= 0 && firstIndex < arr.length)) {
            return false;
        } else if (!(lastIndex >= 0 && lastIndex < arr.length)) {
            return false;
        } else if (!(firstIndex <= lastIndex)) {
            return false;
        }
        
        return valid;
    }
    
    public static int sum(int[] arr) {
        return sum(arr, 0, arr.length - 1);
    }

    
    
    public static int sum(int[] arr, int firstIndex, int lastIndex) {
        if (!validateIndeces(arr, firstIndex, lastIndex)) {
            return -666;
        }
        
        int sum = 0;
        
        for (int i = firstIndex; i <= lastIndex ; i++) {
            sum = sum + arr[i];
        }
        
        return sum;
    }

    
    
    public static double average(int[] arr) {
        return sum(arr)/arr.length;
    }

    
    
    public static double average(int[] arr, int firstIndex, int lastIndex) {
        if (!validateIndeces(arr, firstIndex, lastIndex)) {
            return -666.0;
        }

        return sum(arr, firstIndex, lastIndex)/(lastIndex - firstIndex + 1);
        
        
    }
}

